Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	A helper application which loads modules for USB devices.
Name:      	hotplug
Version:   	2004_09_23
Release:   	2
Epoch:		1
License: 	GPL
Group:     	System/Configuration/Hardware
URL: 		http://linux-hotplug.sourceforge.net/
Source0: 	%{name}-%{version}.tar.bz2
Source4: 	fxload-2002_04_11.tar.gz
# Call ifdown on interface unregister
Patch1: 	hotplug-ifdown.patch
# make sure we bring up the right network interface name
Patch2: 	hotplug-2002_04_01-hwaddr.patch
# fix path to ifrename, even though there are better ways to do this
Patch3: 	hotplug-ifrename.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Obsoletes:	hotplug = 20040923
Requires:	hwdata >= 0.173 udev >= 079

%description
The term "hotplugging" refers to the dynamic reconfiguration performed
after a device has been attached to a running system. This package
contains the application which is called by the kernel when a USB
device is added; hotplug then loads the required modules for that
device.

%prep
%setup -q -a 4

%patch1 -p1
%patch2 -p1
%patch3 -p1

rm -f etc/hotplug/*.orig

%build 
pushd fxload-2002_04_11
make
popd

%install
# build directories
rm -rf $RPM_BUILD_ROOT
make prefix=${RPM_BUILD_ROOT} install

# firmware load utility
pushd fxload-2002_04_11
install -m 755 fxload $RPM_BUILD_ROOT/sbin
install -m 644 fxload.8 $RPM_BUILD_ROOT/%{_mandir}/man8/
mv README.txt ../README.txt.fxload
popd

# We don't use this
rm -f $RPM_BUILD_ROOT/etc/init.d/hotplug

# This is in the module configuration now, provided in the hwdata
# package.
rm -f $RPM_BUILD_ROOT/etc/hotplug/blacklist

rm -rf $RPM_BUILD_ROOT/etc/hotplug/usb*

rm -rf $RPM_BUILD_ROOT/etc/hotplug/pci*

rm -rf $RPM_BUILD_ROOT/etc/hotplug.d/default/*

rm -rf $RPM_BUILD_ROOT/etc/hotplug/dasd*
rm -rf $RPM_BUILD_ROOT/etc/hotplug/firmware*
rm -rf $RPM_BUILD_ROOT/etc/hotplug/ieee1394*
rm -rf $RPM_BUILD_ROOT/etc/hotplug/pnp*
rm -rf $RPM_BUILD_ROOT/etc/hotplug/scsi*
rm -rf $RPM_BUILD_ROOT/etc/hotplug/tape*
rm -rf $RPM_BUILD_ROOT/sbin/hotplug
rm -rf $RPM_BUILD_ROOT%{_mandir}/*/hotplug*

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README ChangeLog
%doc README.txt.fxload
/sbin/*
%config /etc/hotplug/*
%dir /etc/hotplug
%dir /etc/hotplug.d
%config /etc/hotplug.d/*
%{_mandir}/*/*

%changelog
* Thu Jan 05 2006 Christian Metzen <metzench@ccux-linux.de> 2004_09_23-2
- Added Epoch tag
* Mon Dec 26 2005 Christian Metzen <metzench@ccux-linux.de> 2004_09_23-1
- Rebuild